summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2021-01-15 21:48:47 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2021-01-15 21:48:47 -0800
commit49656f94457292bf9ef30e21ac7ed4fcee179516 (patch)
treeb1699759bb396a20ac2e81a6498930344922a061
parentMerge branch 'tb/local-clone-race-doc' (diff)
parentci/install-depends: attempt to fix "brew cask" stuff (diff)
downloadtgif-49656f94457292bf9ef30e21ac7ed4fcee179516.tar.xz
Merge branch 'jc/macos-install-dependencies-fix'
Fix for procedure to building CI test environment for mac. * jc/macos-install-dependencies-fix: ci/install-depends: attempt to fix "brew cask" stuff
-rwxr-xr-xci/install-dependencies.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
index 0229a77f7d..0b1184e04a 100755
--- a/ci/install-dependencies.sh
+++ b/ci/install-dependencies.sh
@@ -44,13 +44,13 @@ osx-clang|osx-gcc)
test -z "$BREW_INSTALL_PACKAGES" ||
brew install $BREW_INSTALL_PACKAGES
brew link --force gettext
- brew cask install --no-quarantine perforce || {
+ brew install --cask --no-quarantine perforce || {
# Update the definitions and try again
cask_repo="$(brew --repository)"/Library/Taps/homebrew/homebrew-cask &&
- git -C "$cask_repo" pull --no-stat &&
- brew cask install --no-quarantine perforce
+ git -C "$cask_repo" pull --no-stat --ff-only &&
+ brew install --cask --no-quarantine perforce
} ||
- brew install caskroom/cask/perforce
+ brew install homebrew/cask/perforce
case "$jobname" in
osx-gcc)
brew install gcc@9